package me.trixkz.lifestealcore.advancedmenusystem.shop;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.advancedmenusystem.Button;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.bukkit.inventory.ItemStack;

public class GoBackButton extends Button {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public ItemStack getButtonItem(Player player) {
        return new ItemBuilder(Material.BARRIER).name(Utils.translate("&4Go back")).amount(1).build();
    }

    @Override
    public void clicked(Player player, int slot, ClickType clickType, int hotbarButton) {
        new ShopMenu().openMenu(player);
    }
}
