package me.trixkz.lifestealcore.commands;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.playerdata.PlayerData;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.UUID;

@CommandInfo(name = "sethearts", permission = "lifestealcore.admin", player = false)
public class SetHeartsCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        PlayerData playerData = this.main.getPlayerDataManager().getPlayerData(player.getUniqueId());
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {
        Player target = this.main.getServer().getPlayer(args[0]);

        if (target == null) {
            return;
        }

        UUID targetUUID = target.getUniqueId();

        PlayerData targetData = this.main.getPlayerDataManager().getPlayerData(targetUUID);

        double amount = Double.parseDouble(args[1]);

        target.setMaxHealth(amount);

        targetData.setHearts(target.getMaxHealth());

        sender.sendMessage(Utils.translate("&eYou have set &d" + target.getName() + " &ehearts to &d" + target.getMaxHealth()));
    }
}
