package me.trixkz.lifestealcore.commands.koth;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.commands.BaseCommand;
import me.trixkz.lifestealcore.commands.CommandInfo;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandInfo(name = "koth", permission = "lifestealcore.admin", player = true)
public class KOTHCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        if (args.length == 0) {

        } else {
            switch (args[0].toLowerCase()) {
                case "create":
                    new CreateCommand().executeAs(player, args);

                    break;
                case "remove":
                    new RemoveCommand().executeAs(player, args);

                    break;
                case "enable":
                    new EnableCommand().executeAs(player, args);

                    break;
                case "disable":
                    new DisableCommand().executeAs(player, args);

                    break;
                case "setlocation":
                    new SetLocationCommand().executeAs(player, args);

                    break;
                case "settime":
                    new SetTimeCommand().executeAs(player, args);

                    break;
                case "setdistance":
                    new SetDistanceCommand().executeAs(player, args);

                    break;
                case "list":
                    break;
                case "teleport":
                    new TeleportCommand().executeAs(player, args);

                    break;
                case "player":
                    new PlayerCommand().executeAs(player, args);

                    break;
            }
        }

        return;
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {

    }
}
