package me.trixkz.lifestealcore.events;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.Setter;
import me.trixkz.lifestealcore.managers.koth.KOTH;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

@Getter
@Setter
@AllArgsConstructor
@RequiredArgsConstructor
public class KOTHDisabledEvent extends Event {

    private static HandlerList handlersList = new HandlerList();

    private KOTH koth;

    @Override
    public HandlerList getHandlers() {
        return handlersList;
    }

    public static HandlerList getHandlerList() {
        return handlersList;
    }
}
