package me.trixkz.lifestealcore.listeners;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.events.KOTHCapTickEvent;
import me.trixkz.lifestealcore.managers.koth.KOTH;
import me.trixkz.lifestealcore.utils.TimeUtils;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class KOTHListener implements Listener {

    private LifeStealCore main = LifeStealCore.getInstance();

    @EventHandler
    public void onEventCapTick(KOTHCapTickEvent event) {
        KOTH koth = event.getKoth();

        if (koth.getRemainingTime() % 180 == 0 && koth.getRemainingTime() <= (koth.getTime() - 30)) {
            this.main.getServer().broadcastMessage(Utils.translate("&8[&9KOTH&8] &eSomeone is trying to cap &d" + koth.getName() + " &8(&d" + TimeUtils.formatIntoMMSS(koth.getRemainingTime()) + "&8)"));
        }
    }
}
