package me.trixkz.lifestealcore.managers.envoys;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.Setter;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@RequiredArgsConstructor
public class EnvoyReward {

    private List<ItemStack> itemStacks;
    private double chance;

    public void givePlayerItemStacks(Player player) {
        for (ItemStack itemStack : this.itemStacks) {
            if (player.getInventory().firstEmpty() == -1) {
                player.getWorld().dropItem(player.getEyeLocation(), itemStack);
            } else {
                player.getInventory().addItem(itemStack);
            }
        }
    }
}
