package me.trixkz.lifestealcore.managers.killstreaks;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;

public class EmperorRankKillstreak extends Killstreak {

    private LifeStealCore main = LifeStealCore.getInstance();

    public EmperorRankKillstreak() {
        super("Emperor rank", LifeStealCore.getInstance().getSettingsConfig().getConfig().getInt("KILLSTREAKS.EMPEROR-RANK.KILLS-NEEDED"), new ItemBuilder(Material.NETHER_STAR).name(LifeStealCore.getInstance().getSettingsConfig().getConfig().getString("KILLSTREAKS.EMPEROR-RANK.ITEM.NAME")).lore(LifeStealCore.getInstance().getSettingsConfig().getConfig().getStringList("KILLSTREAKS.EMPEROR-RANK.ITEM.LORE")).build());
    }

    public KillstreaksCallable getKillstreaksCallable() {
        return (player, playerData) -> {
            this.main.getServer().broadcastMessage(Utils.translate(this.main.getSettingsConfig().getConfig().getString("KILLSTREAKS.MESSAGE").replace("%player%", player.getName()).replace("%killstreak%", String.valueOf(this.getKillstreak()))));
            this.main.getServer().dispatchCommand(this.main.getServer().getConsoleSender(), "lp user " + player.getName() + " parent add Emperor");
        };
    }
}
