package me.trixkz.lifestealcore.managers.killstreaks;

import lombok.Getter;
import lombok.Setter;
import me.trixkz.lifestealcore.LifeStealCore;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class KillstreakManager {

    private LifeStealCore main = LifeStealCore.getInstance();

    private List<Killstreak> killstreaks = new ArrayList<Killstreak>();

    public KillstreakManager() {
        this.killstreaks.add(new RepairKillstreak());
        this.killstreaks.add(new ChampionRankKillstreak());
        this.killstreaks.add(new GoldenApplesKillstreak());
        this.killstreaks.add(new ResistanceKillstreak());
        this.killstreaks.add(new MasterRankKillstreak());
        this.killstreaks.add(new GrandMasterRankKillstreak());
        this.killstreaks.add(new EmperorRankKillstreak());
        this.killstreaks.add(new GodRankKillstreak());
    }

    public Killstreak getKillstreakByName(String string) {
        for (Killstreak killstreak : this.killstreaks) {
            if (killstreak.getName().equalsIgnoreCase(string)) {
                return killstreak;
            }
        }

        return null;
    }
}
