package me.trixkz.lifestealcore.managers.killstreaks;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.Repairable;

public class RepairKillstreak extends Killstreak {

    private LifeStealCore main = LifeStealCore.getInstance();

    public RepairKillstreak() {
        super("Full repair", LifeStealCore.getInstance().getSettingsConfig().getConfig().getInt("KILLSTREAKS.FULL-REPAIR.KILLS-NEEDED"), new ItemBuilder(Material.NETHER_STAR).name(LifeStealCore.getInstance().getSettingsConfig().getConfig().getString("KILLSTREAKS.FULL-REPAIR.ITEM.NAME")).lore(LifeStealCore.getInstance().getSettingsConfig().getConfig().getStringList("KILLSTREAKS.FULL-REPAIR.ITEM.LORE")).build());
    }

    public KillstreaksCallable getKillstreaksCallable() {
        return (player, playerData) -> {
            this.main.getServer().broadcastMessage(Utils.translate(this.main.getSettingsConfig().getConfig().getString("KILLSTREAKS.MESSAGE").replace("%player%", player.getName()).replace("%killstreak%", String.valueOf(this.getKillstreak()))));

            for (ItemStack itemStack : player.getInventory().getArmorContents()) {
                if (itemStack != null && itemStack.getItemMeta() instanceof Repairable) {
                    itemStack.setDurability((short) 0);
                }
            }
        };
    }
}
