package me.trixkz.lifestealcore.managers.killstreaks;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;

public class ResistanceKillstreak extends Killstreak {

    private LifeStealCore main = LifeStealCore.getInstance();

    public ResistanceKillstreak() {
        super("Resistance", LifeStealCore.getInstance().getSettingsConfig().getConfig().getInt("KILLSTREAKS.RESISTANCE.KILLS-NEEDED"), new ItemBuilder(Material.NETHER_STAR).name(LifeStealCore.getInstance().getSettingsConfig().getConfig().getString("KILLSTREAKS.RESISTANCE.ITEM.NAME")).lore(LifeStealCore.getInstance().getSettingsConfig().getConfig().getStringList("KILLSTREAKS.RESISTANCE.ITEM.LORE")).build());
    }

    public KillstreaksCallable getKillstreaksCallable() {
        return (player, playerData) -> {
            this.main.getServer().broadcastMessage(Utils.translate(this.main.getSettingsConfig().getConfig().getString("KILLSTREAKS.MESSAGE").replace("%player%", player.getName()).replace("%killstreak%", String.valueOf(this.getKillstreak()))));

            player.addPotionEffect(new PotionEffect(PotionEffectType.DAMAGE_RESISTANCE, 6000, 0));
        };
    }
}
