package me.trixkz.lifestealcore.runnables;

import lombok.Getter;
import lombok.Setter;
import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.Constants;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.entity.Item;

@Getter
@Setter
public class ClearLagRunnable {

    private LifeStealCore main = LifeStealCore.getInstance();

    private int time = 0;

    public ClearLagRunnable() {
        this.main.getServer().getScheduler().runTaskTimerAsynchronously(this.main, () -> {
            switch (this.time) {
                case 0:
                    this.main.getServer().broadcastMessage(Utils.translate(Constants.PREFIX + "&eAll items will be removed in 15 minutes"));

                    break;
                case 1:
                    this.main.getServer().broadcastMessage(Utils.translate(Constants.PREFIX + "&eAll items will be removed in 10 minutes"));

                    break;
                case 2:
                    this.main.getServer().broadcastMessage(Utils.translate(Constants.PREFIX + "&eAll items will be removed in 5 minutes"));

                    break;
            }

            if (this.time == 3) {
                this.main.getServer().getWorlds().forEach((world) -> {
                    world.getEntities().forEach((entity) -> {
                        if (entity instanceof Item) {
                            entity.remove();
                        }
                    });
                });

                this.time = 0;
                this.main.getServer().broadcastMessage(Utils.translate(Constants.PREFIX + "&eAll items have been removed"));
            } else {
                this.time++;
            }
        }, 0L, 18000L);
    }
}
