package me.trixkz.lifestealcore.advancedmenusystem.shop.colorfulblocks;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.advancedmenusystem.Button;
import me.trixkz.lifestealcore.advancedmenusystem.Menu;
import me.trixkz.lifestealcore.advancedmenusystem.shop.GoBackButton;
import me.trixkz.lifestealcore.advancedmenusystem.shop.ShopButton;
import me.trixkz.lifestealcore.advancedmenusystem.shop.ShopItemSet;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

public class ColorfulBlocksMenu extends Menu {

    private LifeStealCore main = LifeStealCore.getInstance();

    private List<ShopItemSet<Material, Integer, Integer, Integer, Boolean>> shopItemSets = new ArrayList<ShopItemSet<Material, Integer, Integer, Integer, Boolean>>();

    public ColorfulBlocksMenu() {
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 0, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 1, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 2, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 3, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 4, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 5, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 6, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 7, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 8, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 9, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 10, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 11, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 12, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 13, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 14, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_CLAY, 15, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 0, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 1, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 2, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 3, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 4, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 5, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 6, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 7, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 8, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 9, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 10, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 11, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 12, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 13, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 14, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.STAINED_GLASS, 15, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 0, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 1, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 2, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 3, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 4, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 5, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 6, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 7, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 8, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 9, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 10, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 11, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 12, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 13, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 14, 75, 0, false));
//        this.shopItemSets.add(new ShopItemSet<>(Material.WOOL, 15, 75, 0, false));
    }

    @Override
    public String getTitle(Player player) {
        return Utils.translate("&eClick a block to buy or sell...");
    }

    @Override
    public int getSize() {
        return 54;
    }

    @Override
    public Map<Integer, Button> getButtons(Player player) {
        Map<Integer, Button> buttons = new HashMap<Integer, Button>();

        AtomicInteger atomicInteger = new AtomicInteger(0);

        this.shopItemSets.forEach((shopItemSet) -> {
            if (atomicInteger.get() == 49) {
                atomicInteger.addAndGet(1);
            }

            buttons.put(atomicInteger.get(), new ShopButton(new ItemStack(shopItemSet.getMaterial(), 1), shopItemSet.getData(), shopItemSet.getBuyPrice(), shopItemSet.getSellPrice(), shopItemSet.getSellable()));

            atomicInteger.addAndGet(1);
        });

        buttons.put(49, new GoBackButton());

        this.fillEmptySlots(buttons, new ItemBuilder(Material.LIGHT_GRAY_STAINED_GLASS_PANE).name(Utils.translate("")).durability(0).build());

        return buttons;
    }
}
