package me.trixkz.lifestealcore.advancedmenusystem.shop.dyesandplants;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.advancedmenusystem.Button;
import me.trixkz.lifestealcore.advancedmenusystem.Menu;
import me.trixkz.lifestealcore.advancedmenusystem.shop.GoBackButton;
import me.trixkz.lifestealcore.advancedmenusystem.shop.ShopButton;
import me.trixkz.lifestealcore.advancedmenusystem.shop.ShopItemSet;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

public class DyesAndPlantsMenu extends Menu {

    private LifeStealCore main = LifeStealCore.getInstance();

    private List<ShopItemSet<Material, Integer, Integer, Integer, Boolean>> shopItemSets = new ArrayList<ShopItemSet<Material, Integer, Integer, Integer, Boolean>>();

    public DyesAndPlantsMenu() {
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 0, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 1, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 2, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 3, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 4, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 5, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 6, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 7, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 8, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 9, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 10, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 11, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 12, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 13, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 14, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.INK_SACK, 15, 50, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 0, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 1, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 2, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 3, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 4, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 5, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 6, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 7, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.RED_ROSE, 8, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.YELLOW_FLOWER, 0, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 0, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 1, 15, 2, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 2, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 3, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 4, 20, 1, true));
//        this.shopItemSets.add(new ShopItemSet<>(Material.DOUBLE_PLANT, 5, 20, 1, true));
    }

    @Override
    public String getTitle(Player player) {
        return Utils.translate("&eClick a block to buy or sell...");
    }

    @Override
    public int getSize() {
        return 54;
    }

    @Override
    public Map<Integer, Button> getButtons(Player player) {
        Map<Integer, Button> buttons = new HashMap<Integer, Button>();

        AtomicInteger atomicInteger = new AtomicInteger(0);

        this.shopItemSets.forEach((shopItemSet) -> {
            if (atomicInteger.get() == 49) {
                atomicInteger.addAndGet(1);
            }

            buttons.put(atomicInteger.get(), new ShopButton(new ItemStack(shopItemSet.getMaterial(), 1), shopItemSet.getData(), shopItemSet.getBuyPrice(), shopItemSet.getSellPrice(), shopItemSet.getSellable()));

            atomicInteger.addAndGet(1);
        });

        buttons.put(49, new GoBackButton());

        this.fillEmptySlots(buttons, new ItemBuilder(Material.LIGHT_GRAY_STAINED_GLASS_PANE).name(Utils.translate("")).durability(0).build());

        return buttons;
    }
}
