package me.trixkz.lifestealcore.commands;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.CustomLocation;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.ChatColor;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;

@CommandInfo(name = "envoy", permission = "skyblock.admin", player = true)
public class EnvoyCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        FileConfiguration config = this.main.getEnvoysConfig().getConfig();

        if (args.length == 0) {
            player.sendMessage(Utils.translate("&cUsage:"));
            player.sendMessage(Utils.translate("  &c/envoy start"));
            player.sendMessage(Utils.translate("  &c/envoy addlocation"));
        } else {
            switch (args[0].toLowerCase()) {
                case "start":
                    this.main.getEnvoyManager().startEnvoyEvent();

                    break;
                case "addlocation":
                    this.main.getEnvoyManager().getEnvoyLocations().add(CustomLocation.fromBukkitLocation(player.getLocation()));

                    player.sendMessage(ChatColor.GREEN + "Successfully added another location");

                    break;
            }
        }
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {

    }
}
