package me.trixkz.lifestealcore.commands;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.advancedmenusystem.shop.ShopMenu;
import me.trixkz.lifestealcore.playerdata.PlayerData;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandInfo(name = "shop", permission = "", player = true)
public class ShopCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        PlayerData playerData = this.main.getPlayerDataManager().getPlayerData(player.getUniqueId());

        new ShopMenu().openMenu(player);
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {

    }
}
