package me.trixkz.lifestealcore.commands.koth;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.commands.BaseCommand;
import me.trixkz.lifestealcore.commands.CommandInfo;
import me.trixkz.lifestealcore.managers.koth.KOTH;
import me.trixkz.lifestealcore.utils.Constants;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandInfo(name = "koth", permission = "lifestealcore.admin", player = true)
public class EnableCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        String name = args[1];

        if (name == null) {
            return;
        }

        KOTH kothOne = this.main.getKothManager().getKOTH(name);

        if (kothOne == null) {
            return;
        }

        for (KOTH kothTwo : this.main.getKothManager().getKoths().values()) {
            if (kothTwo.isActive()) {
                player.sendMessage(Utils.translate(Constants.PREFIX + "&d" + kothTwo.getName() + " &eis active"));

                return;
            }
        }

        kothOne.enable();

        player.sendMessage(Utils.translate(Constants.PREFIX + "You have enabled the KOTH called &d" + name));

        return;
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {

    }
}
