package me.trixkz.lifestealcore.commands.koth;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.commands.BaseCommand;
import me.trixkz.lifestealcore.commands.CommandInfo;
import me.trixkz.lifestealcore.utils.Constants;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandInfo(name = "koth", permission = "lifestealcore.admin", player = true)
public class RemoveCommand extends BaseCommand {

    private LifeStealCore main = LifeStealCore.getInstance();

    @Override
    public void executeAs(Player player, String[] args) {
        String name = args[1];

        if (name == null) {
            return;
        }

        this.main.getKothManager().removeKOTH(name);
        this.main.getKothManager().saveKOTHs();

        player.sendMessage(Utils.translate(Constants.PREFIX + "You have removed the KOTH called &d" + name));

        return;
    }

    @Override
    public void executeAs(CommandSender sender, String[] args) {

    }
}
