package me.trixkz.lifestealcore.events;

import lombok.Getter;
import lombok.Setter;
import me.trixkz.lifestealcore.managers.koth.KOTH;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;
import org.bukkit.event.HandlerList;
import org.bukkit.event.player.PlayerEvent;

@Getter
@Setter
public class KOTHCappedEvent extends PlayerEvent implements Cancellable {

    private static HandlerList handlersList = new HandlerList();

    private KOTH koth;

    private boolean cancelled;

    public KOTHCappedEvent(Player player, KOTH koth) {
        super(player);

        this.koth = koth;
    }

    @Override
    public HandlerList getHandlers() {
        return handlersList;
    }

    public static HandlerList getHandlerList() {
        return handlersList;
    }
}
