package me.trixkz.lifestealcore.managers.killstreaks;

import me.trixkz.lifestealcore.LifeStealCore;
import me.trixkz.lifestealcore.utils.ItemBuilder;
import me.trixkz.lifestealcore.utils.Utils;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

public class GoldenApplesKillstreak extends Killstreak {

    private LifeStealCore main = LifeStealCore.getInstance();

    public GoldenApplesKillstreak() {
        super("Golden apples", LifeStealCore.getInstance().getSettingsConfig().getConfig().getInt("KILLSTREAKS.GOLDEN-APPLES.KILLS-NEEDED"), new ItemBuilder(Material.NETHER_STAR).name(LifeStealCore.getInstance().getSettingsConfig().getConfig().getString("KILLSTREAKS.GOLDEN-APPLES.ITEM.NAME")).lore(LifeStealCore.getInstance().getSettingsConfig().getConfig().getStringList("KILLSTREAKS.GOLDEN-APPLES.ITEM.LORE")).build());
    }

    public KillstreaksCallable getKillstreaksCallable() {
        return (player, playerData) -> {
            this.main.getServer().broadcastMessage(Utils.translate(this.main.getSettingsConfig().getConfig().getString("KILLSTREAKS.MESSAGE").replace("%player%", player.getName()).replace("%killstreak%", String.valueOf(this.getKillstreak()))));

            if (player.getInventory().firstEmpty() == -1) {
                player.sendMessage(Utils.translate("&cYour inventory is full"));

                return;
            }

            player.getInventory().addItem(new ItemStack(Material.GOLDEN_APPLE, 8));
        };
    }
}
