package me.trixkz.lifestealcore.managers.pvpclass;

import lombok.Getter;
import lombok.Setter;
import me.trixkz.lifestealcore.LifeStealCore;
import org.bukkit.potion.PotionEffect;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Getter
@Setter
public class BardEffect {

    private LifeStealCore main = LifeStealCore.getInstance();

    private PotionEffect potionEffect;
    private int energy;

    private Map<UUID, Long> lastMessageSent = new HashMap<UUID, Long>();

    public BardEffect(PotionEffect potionEffect, int energy) {
        this.potionEffect = potionEffect;
        this.energy = energy;
    }
}
